
Figure - Bug #111732
【Figure】【EVT】【电气性能】E01 辅助启动过电压：试验中，有未知元器件击穿，风扇不转，有烧焦味
，WiFi，蓝牙，视频和以太网功能失效， 试验后，重新上电操作，WiFi，蓝牙，视频和以太网功能正常。
2022-09-05 15:37 - 项目二组_SD3 曾小文

Status: CLOSED Start date: 2022-09-05

Priority: High Due date:

Assignee: 项目二组_SD3 曾小文 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: 依赖硬件的bugList

Need_Info: -- Found Version: 2022.08.25

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause: 由于MCU软件代码存在的问题，目前已经修复

Description

E01 辅助启动过电压：有未知元器件击穿,风扇不转，有烧焦味道。

History

#1 - 2022-09-13 10:09 - SZ-硬件二组_SD3 王苗

- Status changed from New to ASSIGNED

- Assignee changed from SZ-硬件二组_SD3 王苗 to 项目二组_SD3 曾小文

实验室风扇12v,供电，耐压不够28V,实验时候电压会到28V，风扇烧坏。解决方案：选用5V风扇，5V电源前级用LDO电源转5V供电给到风扇。目前

在EVT2的板子上已经导入，待验证。

#2 - 2022-09-14 11:33 - CD TPM-申艳艳

- Category set to EE

#3 - 2022-09-16 14:52 - SZ HW Test-曾小文

- Subject changed from 【Figure】【EVT】【电气性能】E01 辅助启动过电压：有未知元器件击穿,风扇不转，有烧焦味道。 to 【Figure】【EVT】【电气性

能】E01 辅助启动过电压：试验中，有未知元器件击穿，风扇不转，有烧焦味，WiFi，蓝牙，视频和以太网功能失效， 试验后，重新上电操作，WiFi，

蓝牙，视频和以太网功能正常。

- Category changed from EE to BSP

- Assignee changed from 项目二组_SD3 曾小文 to CD BSP-唐金泽

烧焦味道硬件确认为风扇烧坏，后续更换5V风扇。

功能失效问题需要软件DEBUG

#4 - 2022-09-16 15:23 - CD BSP-唐金泽

- Assignee changed from CD BSP-唐金泽 to SZ HW Test-曾小文

“功能失效问题需要软件DEBUG”，从描述看是电压过高，击穿硬件导致损坏

需要软件怎么样配合？
#5 - 2022-09-16 15:46 - CD BSP-唐金泽

- File 20220916-154513.jpg added

- Assignee changed from SZ HW Test-曾小文 to CD BSP-陈杰

陈杰，请针对CLASS逻辑，先进行添加，风扇后续会进行调整

#6 - 2022-09-26 16:00 - CD BSP-陈杰

- File FigureApp.mot added

- % Done changed from 0 to 80

目前风扇得控制策略已经提交入库，本地软测已经验证ok。过压保护功能已经开发，目前只是满足classA和classC得部分功能。classC得记忆功能AF还在开

发。等待开发完成后，还需要进行联合调试。

#7 - 2022-09-27 11:21 - 物联网项目组-RD3_CDTS 周飞

- Target version set to 依赖硬件的bugList

#8 - 2022-10-18 10:21 - CD BSP-陈杰

- File FigureV0.0.1.20221013.1.mot added

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-陈杰 to 项目二组_SD3 曾小文

- % Done changed from 80 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 由于MCU软件代码存在的问题，目前已经修复

MCU使用的文件为：

FigureV0.0.1.20221013.1.mot

SOC版本：

可以使用最新版本进行测试。

#9 - 2022-10-21 13:49 - SZ HW Test-曾小文

- Status changed from RESOLVED to VERIFIED

12V风扇改成5V风扇，增加记忆功能后，王苗在中认联实验室复测PASS

#10 - 2022-10-21 13:49 - SZ HW Test-曾小文

- Status changed from VERIFIED to CLOSED

#11 - 2022-12-22 20:38 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152609 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com
BSP:MCU: MCU code buring up, storage, and feature integrationThis commit protects the following functions:1. Buring up of MCU code2. Solve the power-on

and power-on sequence bug3. Increase the voltage protection function4. MCU firmware upgrade functionTC-RID: 1201-0102701TC-RID:

1201-0102703TC-RID: 1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID: TS-R-BUG-112002IssueID:

TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID: TS-R-DF-110664Change-Id:

Iacb3bbd40b9278405f21f5d34d741dfe08c3c4ff

#12 - 2022-12-22 20:39 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152787 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: MCU: Add firmware for MCU programming and upgradeThe firmware version information is V0.0.1, which is the initial version. Implementation function:1.

Increase the power-on sequence2. Increase the voltage protection function3. Add version informationTC-RID: 1201-0102701TC-RID: 1201-0102703TC-RID:

1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID: TS-R-BUG-112002IssueID:

TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID: TS-R-DF-110664Change-Id:

I047b1483f36d87a7a080b1470eb836cbc620a06e

#13 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：
ID Project Branch Uploader

154928 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP:MCU: Functional integration version of the MCUThis version contains the following functions:1.Improve the overvoltage protection function and increase

theover-voltage protection communication with the MMU;2.Improve the function of power-on and power-up sequence, andfix the problem that the boot screen

is not displayed;3.increase the can communication through, currently only openthe can's transceiver, there is no integration of other can's functions.TC-RID:

1201-0102701TC-RID: 1201-0102703TC-RID: 1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID:

TS-R-BUG-112002IssueID: TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID:

TS-R-DF-110664Change-Id: I0c7022c0c6e09e54f1b390deb1fb0df27ece4a38

Files

20220916-154513.jpg 477 KB 2022-09-16 CD BSP-唐金泽

FigureApp.mot 77.5 KB 2022-09-26 CD BSP-陈杰

FigureV0.0.1.20221013.1.mot 299 KB 2022-10-18 CD BSP-陈杰
